> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Profile Oauth Grants



## OpenAPI

````yaml /api-reference/openapi.fr.json get /flow/mcp/profiles/{profile_id}/oauth-grants
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /flow/mcp/profiles/{profile_id}/oauth-grants:
    get:
      tags:
        - flow-mcp
      summary: List Profile Oauth Grants
      operationId: >-
        list_profile_oauth_grants_flow_mcp_profiles__profile_id__oauth_grants_get
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Profile Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlowOAuthGrantResponse'
                title: >-
                  Response List Profile Oauth Grants Flow Mcp Profiles  Profile
                  Id  Oauth Grants Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    FlowOAuthGrantResponse:
      properties:
        grant_id:
          type: string
          format: uuid
          title: Grant Id
        client_id:
          type: string
          title: Client Id
        client_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Name
        scopes:
          type: string
          title: Scopes
        granted_at:
          type: string
          format: date-time
          title: Granted At
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
      type: object
      required:
        - grant_id
        - client_id
        - scopes
        - granted_at
      title: FlowOAuthGrantResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````